Package com.google.protobuf

# Class Api

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessage
com.google.protobuf.Api

All Implemented Interfaces:
  `ApiOrBuilder`, `Message`, `MessageLite`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `Serializable`

public final class Api extends GeneratedMessage implements ApiOrBuilder
Protobuf type `google.protobuf.Api`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Api.Builder`
Protobuf type `google.protobuf.Api`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

`GeneratedMessage.ExtendableBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>,BuilderT extends GeneratedMessage.ExtendableBuilder<MessageT,BuilderT>>, GeneratedMessage.ExtendableMessage<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.ExtendableMessageOrBuilder<MessageT extends GeneratedMessage.ExtendableMessage<MessageT>>, GeneratedMessage.FieldAccessorTable, GeneratedMessage.GeneratedExtension<ContainingT extends Message,T>, GeneratedMessage.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessage

`AbstractMessage.BuilderParent`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`METHODS_FIELD_NUMBER`
`static final int`
`MIXINS_FIELD_NUMBER`
`static final int`
`NAME_FIELD_NUMBER`
`static final int`
`OPTIONS_FIELD_NUMBER`
`static final int`
`SOURCE_CONTEXT_FIELD_NUMBER`
`static final int`
`SYNTAX_FIELD_NUMBER`
`static final int`
`VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessage

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares the specified object with this message for equality.
`static Api`
`getDefaultInstance()`
`Api`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Method`
`getMethods(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`int`
`getMethodsCount()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<Method>`
`getMethodsList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`MethodOrBuilder`
`getMethodsOrBuilder(int index)`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`List<? extends MethodOrBuilder>`
`getMethodsOrBuilderList()`
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`
`Mixin`
`getMixins(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`int`
`getMixinsCount()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<Mixin>`
`getMixinsList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`MixinOrBuilder`
`getMixinsOrBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`List<? extends MixinOrBuilder>`
`getMixinsOrBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`String`
`getName()`
`string name = 1 [json_name = "name"];`
`ByteString`
`getNameBytes()`
`string name = 1 [json_name = "name"];`
`Option`
`getOptions(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`int`
`getOptionsCount()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<Option>`
`getOptionsList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`OptionOrBuilder`
`getOptionsOrBuilder(int index)`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`List<? extends OptionOrBuilder>`
`getOptionsOrBuilderList()`
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`
`Parser<Api>`
`getParserForType()`
TODO: Remove this unnecessary intermediate implementation of this method.
`int`
`getSerializedSize()`
Get the number of bytes required to encode this message.
`SourceContext`
`getSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`SourceContextOrBuilder`
`getSourceContextOrBuilder()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`Syntax`
`getSyntax()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`int`
`getSyntaxValue()`
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`
`String`
`getVersion()`
`string version = 4 [json_name = "version"];`
`ByteString`
`getVersionBytes()`
`string version = 4 [json_name = "version"];`
`int`
`hashCode()`
Returns the hash code value for this message.
`boolean`
`hasSourceContext()`
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`
`protected GeneratedMessage.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`static Api.Builder`
`newBuilder()`
`static Api.Builder`
`newBuilder(Api prototype)`
`Api.Builder`
`newBuilderForType()`
Constructs a new builder for a message of the same type as this message.
`protected Api.Builder`
`newBuilderForType(AbstractMessage.BuilderParent parent)`
Create a nested builder.
`static Api`
`parseDelimitedFrom(InputStream input)`
`static Api`
`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
`parseFrom(byte[] data)`
`static Api`
`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Api`
`parseFrom(ByteString data)`
`static Api`
`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Api`
`parseFrom(CodedInputStream input)`
`static Api`
`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
`parseFrom(InputStream input)`
`static Api`
`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Api`
`parseFrom(ByteBuffer data)`
`static Api`
`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
`static Parser<Api>`
`parser()`
`Api.Builder`
`toBuilder()`
Constructs a builder initialized with the current message.
`void`
`writeTo(CodedOutputStream output)`
Serializes the message and writes it to `output`.

### Methods inherited from class com.google.protobuf.GeneratedMessage

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, newFileScopedGeneratedExtension, newInstance, newMessageScopedGeneratedExtension, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashFields, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### NAME_FIELD_NUMBER

public static final int NAME_FIELD_NUMBER

See Also:
  - Constant Field Values

### METHODS_FIELD_NUMBER

public static final int METHODS_FIELD_NUMBER

See Also:
  - Constant Field Values

### OPTIONS_FIELD_NUMBER

public static final int OPTIONS_FIELD_NUMBER

See Also:
  - Constant Field Values

### VERSION_FIELD_NUMBER

public static final int VERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### SOURCE_CONTEXT_FIELD_NUMBER

public static final int SOURCE_CONTEXT_FIELD_NUMBER

See Also:
  - Constant Field Values

### MIXINS_FIELD_NUMBER

public static final int MIXINS_FIELD_NUMBER

See Also:
  - Constant Field Values

### SYNTAX_FIELD_NUMBER

public static final int SYNTAX_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessage`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessage`

### getName

public String getName()
`string name = 1 [json_name = "name"];`

Specified by:
  `getName` in interface `ApiOrBuilder`
Returns:
  The name.

### getNameBytes

public ByteString getNameBytes()
`string name = 1 [json_name = "name"];`

Specified by:
  `getNameBytes` in interface `ApiOrBuilder`
Returns:
  The bytes for name.

### getMethodsList

public List<Method> getMethodsList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsList` in interface `ApiOrBuilder`

### getMethodsOrBuilderList

public List<? extends MethodOrBuilder> getMethodsOrBuilderList()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsOrBuilderList` in interface `ApiOrBuilder`

### getMethodsCount

public int getMethodsCount()
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsCount` in interface `ApiOrBuilder`

### getMethods

public Method getMethods(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethods` in interface `ApiOrBuilder`

### getMethodsOrBuilder

public MethodOrBuilder getMethodsOrBuilder(int index)
`repeated .google.protobuf.Method methods = 2 [json_name = "methods"];`

Specified by:
  `getMethodsOrBuilder` in interface `ApiOrBuilder`

### getOptionsList

public List<Option> getOptionsList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsList` in interface `ApiOrBuilder`

### getOptionsOrBuilderList

public List<? extends OptionOrBuilder> getOptionsOrBuilderList()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilderList` in interface `ApiOrBuilder`

### getOptionsCount

public int getOptionsCount()
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsCount` in interface `ApiOrBuilder`

### getOptions

public Option getOptions(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptions` in interface `ApiOrBuilder`

### getOptionsOrBuilder

public OptionOrBuilder getOptionsOrBuilder(int index)
`repeated .google.protobuf.Option options = 3 [json_name = "options"];`

Specified by:
  `getOptionsOrBuilder` in interface `ApiOrBuilder`

### getVersion

public String getVersion()
`string version = 4 [json_name = "version"];`

Specified by:
  `getVersion` in interface `ApiOrBuilder`
Returns:
  The version.

### getVersionBytes

public ByteString getVersionBytes()
`string version = 4 [json_name = "version"];`

Specified by:
  `getVersionBytes` in interface `ApiOrBuilder`
Returns:
  The bytes for version.

### hasSourceContext

public boolean hasSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `hasSourceContext` in interface `ApiOrBuilder`
Returns:
  Whether the sourceContext field is set.

### getSourceContext

public SourceContext getSourceContext()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `getSourceContext` in interface `ApiOrBuilder`
Returns:
  The sourceContext.

### getSourceContextOrBuilder

public SourceContextOrBuilder getSourceContextOrBuilder()
`.google.protobuf.SourceContext source_context = 5 [json_name = "sourceContext"];`

Specified by:
  `getSourceContextOrBuilder` in interface `ApiOrBuilder`

### getMixinsList

public List<Mixin> getMixinsList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsList` in interface `ApiOrBuilder`

### getMixinsOrBuilderList

public List<? extends MixinOrBuilder> getMixinsOrBuilderList()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsOrBuilderList` in interface `ApiOrBuilder`

### getMixinsCount

public int getMixinsCount()
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsCount` in interface `ApiOrBuilder`

### getMixins

public Mixin getMixins(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixins` in interface `ApiOrBuilder`

### getMixinsOrBuilder

public MixinOrBuilder getMixinsOrBuilder(int index)
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`

Specified by:
  `getMixinsOrBuilder` in interface `ApiOrBuilder`

### getSyntaxValue

public int getSyntaxValue()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntaxValue` in interface `ApiOrBuilder`
Returns:
  The enum numeric value on the wire for syntax.

### getSyntax

public Syntax getSyntax()
`.google.protobuf.Syntax syntax = 7 [json_name = "syntax"];`

Specified by:
  `getSyntax` in interface `ApiOrBuilder`
Returns:
  The syntax.

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessage`

### writeTo

public void writeTo(CodedOutputStream output) throws IOException
Description copied from interface: `MessageLite`
Serializes the message and writes it to `output`. This does not flush or close the stream.

Specified by:
  `writeTo` in interface `MessageLite`
Overrides:
  `writeTo` in class `GeneratedMessage`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()
Description copied from interface: `MessageLite`
Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that. If this message requires more than Integer.MAX_VALUE bytes to encode, the return value will be smaller than the actual number of bytes required and might be negative.

Specified by:
  `getSerializedSize` in interface `MessageLite`
Overrides:
  `getSerializedSize` in class `GeneratedMessage`

### equals

public boolean equals(Object obj)
Description copied from interface: `Message`
Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.

Specified by:
  `equals` in interface `Message`
Overrides:
  `equals` in class `AbstractMessage`
Parameters:
  `obj` - object to be compared for equality with this message
Returns:
  `true` if the specified object is equal to this message

### hashCode

public int hashCode()
Description copied from interface: `Message`
Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.

Specified by:
  `hashCode` in interface `Message`
Overrides:
  `hashCode` in class `AbstractMessage`
Returns:
  the hash code value for this message
See Also:
  - `Map.hashCode()`

### parseFrom

public static Api parseFrom(ByteBuffer data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(ByteString data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(byte[] data) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry) throws InvalidProtocolBufferException

Throws:
  `InvalidProtocolBufferException`

### parseFrom

public static Api parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Api parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Api parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static Api parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static Api parseFrom(CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static Api parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public Api.Builder newBuilderForType()
Description copied from interface: `MessageLite`
Constructs a new builder for a message of the same type as this message.

Specified by:
  `newBuilderForType` in interface `Message`
Specified by:
  `newBuilderForType` in interface `MessageLite`

### newBuilder

public static Api.Builder newBuilder()

### newBuilder

public static Api.Builder newBuilder(Api prototype)

### toBuilder

public Api.Builder toBuilder()
Description copied from interface: `MessageLite`
Constructs a builder initialized with the current message. Use this to derive a new message from the current one.

Specified by:
  `toBuilder` in interface `Message`
Specified by:
  `toBuilder` in interface `MessageLite`

### newBuilderForType

protected Api.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Description copied from class: `AbstractMessage`
Create a nested builder.

Overrides:
  `newBuilderForType` in class `AbstractMessage`

### getDefaultInstance

public static Api getDefaultInstance()

### parser

public static Parser<Api> parser()

### getParserForType

public Parser<Api> getParserForType()
Description copied from class: `GeneratedMessage`
TODO: Remove this unnecessary intermediate implementation of this method.

Specified by:
  `getParserForType` in interface `Message`
Specified by:
  `getParserForType` in interface `MessageLite`
Overrides:
  `getParserForType` in class `GeneratedMessage`

### getDefaultInstanceForType

public Api getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`